/* ROGUE about page // @glenthemes */

/* misc styling, non-essential */
:root {
    --Misc-Font-Size:var(--TextBox-Font-Size);
    --Misc-Text-Color:var(--TextBox-Text-Color);
    --Links-Color:var(--TextBox-Links);
    --Border-Lines-Color:var(--TextBox-Border-Color);
}

pre, code {
    white-space:pre-wrap;
}

hr {
    width:70%;
    border-width:0px;
    height:1px;
    background-color:var(--Border-Lines-Color);
}

img {
    vertical-align:middle;
    max-width:100%;
}

.flex, [flex]{
    display:flex;
    align-items:center;
}

.table, [table]{
    display:table;
}

.table-row, [table-row]{
    display:table-row;
}

a {
    text-decoration:none;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
}

blockquote {
    margin:10px;
    padding-left:10px;
    border-left:1px solid var(--Border-Lines-Color);
}

/* container stuff */
#horizontal-a {
    position:fixed;
    top:0;left:0;right:0;
    margin:0 auto;
    text-align:center;
}

#horizontal-b {
    display:inline-block;
}

#vertigo-a {
    height:100vh;
    display:table;
}

#vertigo-b {
    display:table-cell;
    vertical-align:middle;
}

container {
    display:block;
    visibility:hidden;
}

.spoop {
    display:table;
    padding:var(--Container-Padding);
    background:var(--Container-Background);
    width:var(--Container-Width);
    text-align:initial;
    visibility:hidden;
    opacity:0;
}

.hallo {
    visibility:visible;
    opacity:1;
    transition:opacity var(--Page-FadeIn-Speed) ease-in-out;
}

/* top stuff */
section[top]{
    display:flex;
    align-items:center;
    justify-content:space-between;
}

[top-links]{
    display:flex;
    align-items:center;
    line-height:0;
}

[top-links] .system-uicons {
    --System-UIcons-Size:var(--NavLinks-Icon-Size);
    --System-UIcons-Color:var(--NavLinks-Icon-Color);
}

[top-links] [stroke]{
    transition:all var(--NavLinks-Hover-Speed) ease-in-out;
}

[top-links] a {
    display:block;
    padding:var(--NavLinks-Icon-Padding);
    background:var(--NavLinks-Icon-Background);
    border-radius:var(--NavLinks-Icon-Rounding);
    transition:background var(--NavLinks-Hover-Speed) ease-in-out;
}

[top-links] a:hover {
    background:var(--NavLinks-HOVER-Background);
}

[top-links] a:hover .system-uicons {
    --System-UIcons-Color:var(--NavLinks-HOVER-Icon)!important;
}

[top-links] a + a {
    margin-left:var(--NavLinks-Spacing);
}

a[crd]{
    padding:calc(var(--NavLinks-Icon-Padding) + 1px);
}

.glenjamin {
    display:block;
    margin-left:0.5px;
    margin-top:0.5px;
    --GT:calc(var(--NavLinks-Icon-Size) - 2px);
    width:var(--GT);
    height:var(--GT);
    -webkit-mask-size:contain;
    -webkit-mask-repeat:no-repeat;
    -webkit-mask-position:center;
    -webkit-mask-image:var(--glenSVG);
    background:var(--NavLinks-Icon-Color);
    transition:background var(--NavLinks-Hover-Speed) ease-in-out;
}

a[crd]:hover .glenjamin {
    background:var(--NavLinks-HOVER-Icon);
}

/* music player stuff */
.muplayer {
    position:absolute;
    bottom:0;left:0;
    width:calc(100% - (var(--MusicPlayer-Padding) * 2));
    padding:var(--MusicPlayer-Padding);
    display:flex;
    align-items:center;
    z-index:3;
}

.muplayer:before {
    content:"";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:var(--MusicPlayer-Background);
    opacity:calc(100% - var(--MusicPlayer-Background-Transparency));
    z-index:-1;
}

.controles {
    margin-top:1px;
    font-size:var(--MusicPlayer-Buttons-Size);
    color:var(--MusicPlayer-Buttons-Color);
    line-height:var(--MusicPlayer-Buttons-Size);
    cursor:pointer;
}

.pauser {
    display:none;
}

.notife {
    margin-left:7px;
    margin-top:1px;
    font-size:calc(var(--MusicPlayer-Buttons-Size) - 2.5px);
    color:var(--MusicPlayer-Buttons-Color);
    line-height:calc(var(--MusicPlayer-Buttons-Size) - 2.5px);
}

/* main body */
.mc {
    display:flex;
}

/* rightside main */
[main-right]{
    display:table;
    width:100%;
    height:100%;
}

[main-right] > * {
    display:table-row;
}

.quotecont {
    display:flex;
    align-items:center;
}

.fern {
    display:flex;
    align-items:center;
    flex:1
}

.quo-table {
    display:table;
    width:calc(100% - var(--Icon-Image-Spacing));
}

.quo-table > * {
    display:table-cell;
    vertical-align:middle;
}

.qw-left {
    width:var(--Quote-Border-Depth);
    border:var(--Quote-Border-Size) solid var(--Quote-Border-Color);
    border-right:none;
}

.qw-right {
    position:relative;
    width:var(--Quote-Border-Depth);
    border:var(--Quote-Border-Size) solid var(--Quote-Border-Color);
    border-left:none;
}

.qw-right:after {
    content:"";
    position:absolute;
    top:0;right:0;
    margin-right:-.25px;
    width:100%;
    height:100%;
    background:var(--Container-Background);
    z-index:2;
}

.tricont {
    position:relative;
    margin-left:calc(0px - var(--Quote-Border-Size));
    margin-right:calc((var(--QT) / -2) - var(--Quote-Border-Size) + var(--Icon-Image-Spacing));
    width:var(--Quote-Triangle-Size);
    height:var(--Quote-Triangle-Size);
    --QT:calc(var(--Quote-Triangle-Size) / 2);
    --QT-1:calc(var(--QT) - var(--Quote-Border-Size));
    z-index:1;
}

.tri-under {
    width:0;height:0;
    border-top:var(--QT) solid transparent;
    border-left:var(--QT) solid var(--Quote-Border-Color);
    border-bottom:var(--QT) solid transparent;
}

.tri-over {
    position:absolute;
    top:0;left:0;
    margin-top:var(--Quote-Border-Size);
    width:0;height:0;
    border-top:var(--QT-1) solid transparent;
    border-left:var(--QT-1) solid var(--Container-Background);
    border-bottom:var(--QT-1) solid transparent;
    z-index:3;
}

/* columns */
.colz {
    height:100%;
}

.col-cov {
    display:flex;
    height:inherit;
}

.col-ind {
    display:table;
    height:100%;
}

.col-ind + .col-ind {
    margin-left:var(--Column-Spacing);
}

column {
    display:table-cell;
}

column[alignment="top"]{
    vertical-align:top;
}

column[alignment="middle"]{
    vertical-align:middle;
}

column[alignment="bottom"]{
    vertical-align:bottom;
}

/* custom links */
.ciels {
    display:flex;
    flex-wrap:wrap;
    margin-top:calc(var(--Custom-Links-Spacing) / -2);
    margin-left:calc(var(--Custom-Links-Spacing) / -2);
    margin-bottom:calc(var(--Custom-Links-Spacing) / -2);
    width:calc(100% + var(--Custom-Links-Spacing));
}

[custom-links] a {
    display:grid;
    place-items:center;
    margin:calc(var(--Custom-Links-Spacing) / 2);
    width:calc((var(--Column-1-Width) - (var(--Custom-Links-Spacing) * (var(--Custom-Links-Per-Row) - 1))) / var(--Custom-Links-Per-Row));
    background:var(--Custom-Links-Background);
    transition:background var(--Custom-Links-Hover-Speed) ease-in-out;
}

[custom-links] a:hover {
    background:var(--Custom-Links-HOVER-Background)!important;
}

[custom-links] a:hover span {
    color:var(--Custom-Links-HOVER-Color)!important;
}

/* column 2, textbox */
.scone {
    margin-right:calc((var(--Scrollbar-Padding) / -1) + 1px);
    padding-right:calc(var(--Scrollbar-Padding) - 1px);
    height:calc(var(--TOH) - ((calc(var(--TextBox-Padding) - 2px) * 2)));
    overflow:auto;
    scrollbar-width:thin;
}

.le_notice {
    position:fixed;
    bottom:0;left:0;
    width:100%;
    padding:14px;
    background:var(--Custom-Links-Background);
    font-size:smaller;
    text-transform:uppercase;
    letter-spacing:1.3px;
    color:var(--Custom-Links-Color);
    box-sizing:border-box;
    text-align:center;
    cursor:help;
    z-index:10;
}

.le_notice a {
    color:var(--TextBox-Italic);
}
